Name:           kdevt
Version:        0.3
Release:        0
Summary:        Scripts to use Kwin+Konsole in your Virtual Terminal
License:        MIT
Group:          System/Console
URL:            https://gitlab.com/kdj0c/userspacevt.git
Source:         https://gitlab.com/kdj0c/userspacevt/-/archive/%{version}/userspacevt-%{version}.tar.bz2
Requires:       bash
Requires:       kwin-wayland
Requires:       konsole
Requires:       userspacevt
BuildRequires: systemd

BuildArch:      noarch

%description
Kdevt is a set of systemd units and shell scripts, to replace your VT with
Kwin (Wayland compositor) and Konsole (KDE terminal)

%prep
%setup -q -n userspacevt-%{version}

%build

%install
pushd kdevt
cp -a usr/ etc/ %{buildroot}/
popd

%files
%license LICENSE
%{_libexecdir}/%{name}/*.sh
%{_unitdir}/*.service
%{_sysusersdir}/*.conf
%{_sysconfdir}/pam.d/%{name}

%changelog
* Wed Apr 23 2025 Jocelyn Falempe jfalempe@redhat.com
- Initial spec file
